package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantOrder;

import com.chaozhanggui.dao.system.model.TaskOrderSum;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TbPlussMerchantOrderMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantOrder record);

    int insertSelective(TbPlussMerchantOrder record);

    TbPlussMerchantOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantOrder record);

    int updateByPrimaryKeyWithBLOBs(TbPlussMerchantOrder record);

    int updateByPrimaryKey(TbPlussMerchantOrder record);

    List<TaskOrderSum> selectByUserId();

    List<TbPlussMerchantOrder> selectByMercorderno(String mercorderno);


}